# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_TexParameter Struct Reference

VLX wrapper of vl::TexParameter. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_TexParameter:

List of all members.

## Public Member Functions

void | importTexParameter (VLXSerializer &s, const VLXStructure *vlx, TexParameter *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportTexParameter (const TexParameter *texparam, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::TexParameter.

Definition at line 3442 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_TexParameter::importTexParameter | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | TexParameter * | obj
| ) |  | `[inline]`

Definition at line 3444 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::VLXValue::Bool, vl::VLXValue::getArrayReal(), vl::VLXValue::getBool(), vl::VLXValue::getReal(), vl::VLXValue::Identifier, vl::VLXValue::Real, vl::TexParameter::setAnisotropy(), vl::TexParameter::setBorderColor(), vl::TexParameter::setCompareFunc(), vl::TexParameter::setCompareMode(), vl::TexParameter::setDepthTextureMode(), vl::TexParameter::setGenerateMipmap(), vl::TexParameter::setMagFilter(), vl::TexParameter::setMinFilter(), vl::TexParameter::setWrapR(), vl::TexParameter::setWrapS(), vl::TexParameter::setWrapT(), vl::VLXValue::type(), vl::VLXStructure::value(), vl::vlx_EDepthTextureMode(), vl::vlx_ETexCompareFunc(), vl::vlx_ETexCompareMode(), vl::vlx_ETexParamFilter(), vl::vlx_ETexParamWrap(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_TexParameter::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3519 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importTexParameter(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_TexParameter::exportTexParameter | ( | const TexParameter * | texparam,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 3528 of file VLXWrappers.hpp.

References vl::TexParameter::anisotropy(), vl::TexParameter::borderColor(), vl::TexParameter::compareFunc(), vl::TexParameter::compareMode(), vl::TexParameter::depthTextureMode(), vl::TexParameter::generateMipmap(), vl::TexParameter::magFilter(), vl::TexParameter::minFilter(), vl::vlx_EDepthTextureMode(), vl::vlx_ETexCompareFunc(), vl::vlx_ETexCompareMode(), vl::vlx_ETexParamFilter(), vl::vlx_ETexParamWrap(), vl::vlx_Identifier(), vl::vlx_toValue(), vl::TexParameter::wrapR(), vl::TexParameter::wrapS(), and vl::TexParameter::wrapT().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_TexParameter::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3543 of file VLXWrappers.hpp.

References vl::Object::as(), exportTexParameter(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:58.
Permission is granted to use this page to write and publish articles regarding Visualization Library.